from pydantic import BaseModel
from datetime import datetime
from typing import Optional


class ConnectionBase(BaseModel):
    receiver_id: int


class ConnectionCreate(ConnectionBase):
    pass


class ConnectionResponse(BaseModel):
    id: int
    sender_id: int
    receiver_id: int
    status: str
    created_at: datetime
    updated_at: datetime
    sender_name: Optional[str] = None
    receiver_name: Optional[str] = None

    class Config:
        from_attributes = True


class ConnectionUpdate(BaseModel):
    status: str  # accepted or rejected
